Patch Project Endpoint
curl --request PATCH \
--url https://backend.overtenai.com/api/v1/projects/{project_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"color": "<string>",
"icon": "<string>"
}
'import requests
url = "https://backend.overtenai.com/api/v1/projects/{project_id}"
payload = {
"name": "<string>",
"description": "<string>",
"tags": ["<string>"],
"color": "<string>",
"icon": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
tags: ['<string>'],
color: '<string>',
icon: '<string>'
})
};
fetch('https://backend.overtenai.com/api/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}public
Patch Project Endpoint
PATCH
/
projects
/
{project_id}
Patch Project Endpoint
Authorizations
Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
